<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/MediaPlayer/GStreamerMediaPlayer/include/MediaPlayer/BaseStreamSource.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_9d34932954f3d83257e5e12e3f421a72.html">MediaPlayer</a></li><li class="navelem"><a class="el" href="dir_e1f7d5df1447213cfb529aad5fa2c859.html">GStreamerMediaPlayer</a></li><li class="navelem"><a class="el" href="dir_d1a5c25c65a86ab490915a47e76c835a.html">include</a></li><li class="navelem"><a class="el" href="dir_9b83a3a02537ea061e11167c986dd2c8.html">MediaPlayer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">BaseStreamSource.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;memory&gt;</code><br />
<code>#include &lt;gst/gst.h&gt;</code><br />
<code>#include &lt;gst/app/gstappsrc.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_media_player_interface_8h_source.html">AVSCommon/Utils/MediaPlayer/MediaPlayerInterface.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_source_interface_8h_source.html">MediaPlayer/SourceInterface.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for BaseStreamSource.h:</div>
<div class="dyncontent">
<div class="center"><img src="_base_stream_source_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_media_player_2_g_streamer_media_player_2include_2_media_player_2_base_stream_source_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_media_player_2_g_streamer_media_player_2include_2_media_player_2_base_stream_source_8h" id="_2workplace_2avs-device-sdk_2_media_player_2_g_streamer_media_player_2include_2_media_player_2_base_stream_source_8h">
<area shape="rect" id="node5" href="_media_player_interface_8h.html" title="AVSCommon/Utils/MediaPlayer\l/MediaPlayerInterface.h" alt="" coords="464,192,673,231"/>
<area shape="rect" id="node14" href="_source_interface_8h.html" title="MediaPlayer/SourceInterface.h" alt="" coords="1102,119,1307,144"/>
<area shape="rect" id="node9" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="69,279,271,317"/>
<area shape="rect" id="node13" href="_audio_format_8h.html" title="AVSCommon/Utils/AudioFormat.h" alt="" coords="295,285,517,311"/>
<area shape="rect" id="node12" href="_reader_policy_8h.html" title="AVSCommon/Utils/SDS\l/ReaderPolicy.h" alt="" coords="182,365,344,404"/>
<area shape="rect" id="node15" href="_pipeline_interface_8h.html" title="MediaPlayer/PipelineInterface.h" alt="" coords="817,199,1027,224"/>
<area shape="rect" id="node17" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="1110,192,1298,231"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_base_stream_source_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_media_player_2_g_streamer_media_player_2include_2_media_player_2_base_stream_source_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_media_player_2_g_streamer_media_player_2include_2_media_player_2_base_stream_source_8hdep" id="_2workplace_2avs-device-sdk_2_media_player_2_g_streamer_media_player_2include_2_media_player_2_base_stream_source_8hdep">
<area shape="rect" id="node2" href="_attachment_reader_source_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/GStreamerMedia\lPlayer/include/MediaPlayer\l/AttachmentReaderSource.h" alt="" coords="166,119,396,184"/>
<area shape="rect" id="node5" href="_i_stream_source_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/GStreamerMedia\lPlayer/include/MediaPlayer\l/IStreamSource.h" alt="" coords="419,119,649,184"/>
<area shape="rect" id="node7" href="_base_stream_source_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/GStreamerMedia\lPlayer/src/BaseStreamSource.cpp" alt="" coords="673,125,902,177"/>
<area shape="rect" id="node3" href="_attachment_reader_source_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/GStreamerMedia\lPlayer/src/AttachmentReaderSource.cpp" alt="" coords="5,232,268,284"/>
<area shape="rect" id="node4" href="_media_player_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/GStreamerMedia\lPlayer/src/MediaPlayer.cpp" alt="" coords="293,232,522,284"/>
<area shape="rect" id="node6" href="_i_stream_source_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/MediaPlayer/GStreamerMedia\lPlayer/src/IStreamSource.cpp" alt="" coords="546,232,776,284"/>
</map>
</div>
</div>
<p><a href="_base_stream_source_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html">alexaClientSDK::mediaPlayer::BaseStreamSource</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1media_player"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html">alexaClientSDK::mediaPlayer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
